v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/sites/{siteId}/recon/shipments
Rights needed: DDFShipmentPost; versioned to return the form ID in the response.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
siteId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest object to create a reconciliation shipment.
Show Source
-
kits: array
kits
Minimum Number of Items:
1Contains kit IDs. -
kitsFilter: object
ReconShipmentKitsFilter
Contains filters for kits for a reconciliation shipment.
-
unblinded: boolean
Indicates whether unblinded or blinded.Example:
true
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Contains kit IDs.
Show Source
-
Array of:
string(uuid)
Example:
e39ff55a-4455-43a3-8d51-3325664f0b2d
Nested Schema : ReconShipmentKitsFilter
Type:
objectContains filters for kits for a reconciliation shipment.
Show Source
-
inventoryStatusIds: array
inventoryStatusIds
Contains inventory status IDs.
-
kitRange: string
(KIT_NUMBER:XXX:XXX)
Range of kit numbers.Example:
KIT_NUMBER:10:100 -
searchString: string
Search string for kits.Example:
Some search string -
subjectId: string
(uuid)
Unique subject identifier (UUID, 32-character uppercase hexadecimal string) representing the patient/participant enrolled in the study.
Nested Schema : inventoryStatusIds
Type:
arrayContains inventory status IDs.
Show Source
-
Array of:
integer(int32)
Example:
5
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object ResupplyResponse
Title:
ResupplyResponseResponse object containing resupply details.
Nested Schema : ResupplyResponse
Type:
objectTitle:
ResupplyResponseResponse object containing resupply details.
Show Source
-
formId: string
(uuid)
Title:
Form IDIdentifier of the form associated with the resupply. -
orderId: string
(uuid)
Order ID.
-
status: string
Allowed Values:
[ "PENDING", "INTRANSIT", "RECEIVED", "CANCELLED", "LOST", "CONFIRMED", "INVALID", "PENDING_DESTRUCTION", "RECEIVED_FOR_DESTRUCTION", "DESTROYED" ]Order status.Example:DESTROYED
400 Response
'Kit reconciliation required was not set.','You can't update the status of this kit because the kit was sent to a depot.','You can't update the status of this kit because it's at a site that you don't have access to. Work with your clinical research associate or a clinical supply manager to update the kit.','Reconciliation shipment is not allowed as site has drug destruction capability.','Reconciliation shipment cannot be created as none of the depots have drug destruction capability.','Update kits cannot have both the kit identifiers list and the kits filter set.','Update kits must have either the kit identifiers list or the kits filter set.','Invalid inventory status transition.','Invalid kit at site.', 'Invalid kit range filter.', 'Subject ID is required.','Invalid subject.', 'Update kits no rows were found to update.','Update kits retrieved size exceeds maximum rows for update limit of.','Update kits retrieve error, the following kit identifiers were not found.'
Nested Schema : details
Type:
object404 Response
Site ID not found in site service.
Nested Schema : details
Type:
object500 Response
Internal server error
Nested Schema : details
Type:
object